qgis crash on opening GRASS vector file

2006-05-10 09:19 AM - sisma66-tiscali-it -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10169

Description

Dear Radim, Dear All

when I try to open a grass vector file from qgis I have this error:

error_routine (fatal = 1): Cannot find vector bacino_and_strutture@krige

so after It qgis will crash!

It seem tell me that the vector bacino_and_strutture doesn't exist but It isn't true!! and also I haven't ask it to open this vector file, I just do

a click on a GRASS vector button...

Can anyone tell me what's the problem??

Thanks

Pierluigi

History

#1 - 2006-08-10 04:31 AM - anonymous -

- Resolution set to fixed

- Status changed from Open to Closed

I tried with various corrupted vector files but I cannot get such error. I thought 

that if the vector directory is present but vector files are corrupted it could give 

this error but it does not.

Maybe it was fixed in the mean time. I will close this ticket. 

You can reopen the ticket if the problem persists and you can find 

situation which can be reproduced.

Radim

#2 - 2007-05-31 10:44 AM - pcavallini -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback
Self-compiled QGIS from trunk (rev #6971)systematically crashes when clicking on

the "add grass vector" button:

[[QgsGrass]]::vectors()

error_routine (fatal = 1): Cannot open existing vector

<pi_zrv_1999@PERMANENT> on level r2

Before even asking which vector. Looks like a leftover from previous

install, but I do not know what. I tried removing ~/.qgis, to no

avail.

The grass dataset does not seem corrupt, as opening it after opening a grass mapset goes smoothly. 

What is strange is that it crashes before opening a vector (I do not

understand why qgis tries to open that dataset then).

if I open a mapset first, I can open the dataset without problems.

Anyway, even in case of data corruption, qgis should not crash like this.

#3 - 2007-07-21 06:55 PM - Tim Sutton

Upgraded to critical since it causes an application crash

#4 - 2007-10-24 11:12 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Feedback to Closed

Fixed in commit:44493e20 (SVN r7300).

This problem was happening with GRASS >= 6.3 because fatal error routine in GRASS has been terminating the process (so in fact not a crash).

Tested with both GRASS 6.2 and 6.3.cvs and both work now for me.

#5 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
